package com.sf;

import java.util.Scanner;

/**
 * 人机猜拳游戏
 */
public class Guest {
    /**
     * 程序启动的入口   main
     *     1 石头  2 剪子  3 布
     *     角色：电脑端    和 人为端
     *     规则：   人为端（玩家）想赢   玩家-电脑  ===>  2  -1  -1
     *              电脑端赢
     *              平局   1==1   2==2   3==3
     *   分：玩家或电脑端积分到达8    游戏停止（闯关完成）
     */

    public static void main(String[] args) {
        System.out.println("人家猜拳游戏开始啦~");
        //从键盘输入
        Scanner scanner = new Scanner(System.in);
        /*
        先定义电脑端和人为端的积分变量
         */
        //电脑端 积分
        int comIntegral = 0;
        //人为端的积分
        int playIntegral = 0;
        while (comIntegral <8  & playIntegral <8){
            //电脑端随机抽取一个数
           int computer = (int) (Math.random()*3+1);
           System.out.println("电脑端随机的数是"+computer);
           //人为端从键盘输入
            int player = scanner.nextInt();

            if(player == 886){
                System.out.println("游戏结束啦~");
                break;
            }

            //1-3       判断玩家输入的合法性
            if (player >= 1 & player <=3) {
                //判断输入发是否相等
                if(player != computer){
                    if((player - computer) == -1 | (player - computer) == 2){
                        //玩家赢
                        playIntegral += 1;
                        System.out.println("这次玩家选择的是"+player+"=====电脑端随机选择的是"+computer);
                        System.out.println("此时的玩家积分"+playIntegral+"====电脑积分是"+comIntegral);
                    }else {
                        //电脑端赢
                        comIntegral += 1;
                        System.out.println("这次玩家选择的是"+player+"=====电脑端随机选择的是"+computer);
                        System.out.println("此时的玩家积分"+playIntegral+"====电脑积分是"+comIntegral);
                    }
                }else {
                    //电脑和玩家相等的情况
                    System.out.println("脑和玩家相等的情况,默契十足~");
                    System.out.println("此时的人为积分"+playIntegral+"====电脑积分是"+comIntegral);
                }
            }else {
                System.out.println("人为输入不合法，请重新输入【1~3】");
                System.out.println("此时的人为积分"+playIntegral+"====电脑积分是"+comIntegral);
                System.out.println("-----------------------");
            }

        }

    }

}
